LSB XTS5 test suite fails due to kernel tty bug

Bug #438310 reported by Tobin Davis
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Fix Released
Medium
Tim Gardner
Karmic
Fix Released
Medium
Tim Gardner
linux-ec2 (Ubuntu)
Fix Released
Medium
Tim Gardner
Karmic
Fix Released
Medium
Tim Gardner

Bug Description

When running the Linux Standards Base test suite, the XTS5 tests hang due to a tty bug in the 2.6.31 release of the kernel. The LSB bug report can be found along with the patches needed to fix the issue at http://bugs.linuxbase.org/show_bug.cgi?id=2692 .

ProblemType: Bug
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC662 rev1 Analog [ALC662 rev1 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 2253 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0x502c0000 irq 22'
   Mixer name : 'Realtek ALC662 rev1'
   Components : 'HDA:10ec0662,8086d604,00100101'
   Controls : 24
   Simple ctrls : 14
Date: Mon Sep 28 11:27:09 2009
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=b02a63ab-2b9b-42f3-b801-0e4d173de8f8
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.
Package: linux-image-generic 2.6.31.10.21
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-10-generic root=UUID=dba6294c-ec61-44ff-8365-076d61cec9cd ro quiet splash
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: User Name 2.6.31-10.34-generic
RelatedPackageVersions: linux-firmware 1.19
RfKill:

SourcePackage: linux-meta
Uname: Linux 2.6.31-10-generic i686
dmi.bios.date: 04/03/2009
dmi.bios.vendor: Intel Corp.
dmi.bios.version: LF94510J.86A.0171.2009.0403.0118
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: D945GCLF2
dmi.board.vendor: Intel Corporation
dmi.board.version: AAE46416-106
dmi.chassis.type: 3
dmi.modalias: dmi:bvnIntelCorp.:bvrLF94510J.86A.0171.2009.0403.0118:bd04/03/2009:svn:pn:pvr:rvnIntelCorporation:rnD945GCLF2:rvrAAE46416-106:cvn:ct3:cvr:

Revision history for this message
Tobin Davis (gruemaster) wrote :
Tim Gardner (timg-tpi)
affects: linux-meta (Ubuntu) → linux (Ubuntu)
Tim Gardner (timg-tpi)
Changed in linux (Ubuntu Karmic):
assignee: nobody → Tim Gardner (timg-tpi)
importance: Undecided → Medium
status: New → In Progress
Tim Gardner (timg-tpi)
Changed in linux-ec2 (Ubuntu Karmic):
assignee: nobody → Tim Gardner (timg-tpi)
importance: Undecided → Medium
status: New → In Progress
Revision history for this message
Tim Gardner (timg-tpi) wrote :
Changed in linux (Ubuntu Karmic):
status: In Progress → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ec2 - 2.6.31-300.5

---------------
linux-ec2 (2.6.31-300.5) karmic; urgency=low

  [ Tim Gardner ]

  * [Config] Fix header package names and dependencies
    - LP: #437784

linux-ec2 (2.6.31-300.4) karmic; urgency=low

  [ Tim Gardner ]

  * [Config] Disable Lenovo laptop config
  * Rebase against master Ubuntu-2.6.31-11.37

  [ Upstream Kernel Changes ]

  * n_tty: honor opost flag for echoes
  * n_tty: move echoctl check and clean up logic
    - LP: #438310

 -- Tim Gardner <email address hidden> Wed, 30 Sep 2009 08:07:32 -0600

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.31-11.37

---------------
linux (2.6.31-11.37) karmic; urgency=low

  [ Tim Gardner ]

  * [Config] Increase kernel log buffer to 256K for amd64 flavours
    - LP: #424810
  * [Config] Set HZ=100 for amd64 flavours
    - LP: #438234
  * [Upstream] e1000e: Emit notice instead of an error when
    pci_enable_pcie_error_reporting() fails
    - LP: #436370

  [ Upstream Kernel Changes ]

  * n_tty: honor opost flag for echoes
  * n_tty: move echoctl check and clean up logic
    - LP: #438310

  * Revert "[Upstream] drm/i915: Check that the relocation points to within
    the target" - Use upstream cherry-pick.
  * drm/i915: Check that the relocation points to within the target
    - LP: #429241

  * drm/i915: fix tiling on IGDNG
  * drm/i915: add B43 chipset support
  * agp/intel: Add B43 chipset support
    Intel request from kernel team mailing list.

  * HID: completely remove apple mightymouse from blacklist
    - LP: #428111

 -- Tim Gardner <email address hidden> Mon, 28 Sep 2009 11:47:29 -0600

Changed in linux (Ubuntu Karmic):
status: Fix Committed → Fix Released
Changed in linux-ec2 (Ubuntu Karmic):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers